enable riscv build

Bug #1872952 reported by Christian Ehrhardt  on 2020-04-15
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
libvirt (Ubuntu)
High
Unassigned

Bug Description

I was requested by wgrant to enable riscv.
This does not need an FFe per this discussion [1]

Suggested changes were:
https://pastebin.canonical.com/p/6kBJKv3MXz/
https://pastebin.canonical.com/p/tCcFhxTrdB/

[1]: https://bugs.launchpad.net/ubuntu/+source/qemu/+bug/1872931/comments/2

Download full text (4.5 KiB)

as pastebins time out - change #1

diff -Nru libvirt-6.0.0/debian/changelog libvirt-6.0.0/debian/changelog
--- libvirt-6.0.0/debian/changelog 2020-02-12 13:20:08.000000000 +0000
+++ libvirt-6.0.0/debian/changelog 2020-03-12 04:12:39.000000000 +0000
@@ -1,3 +1,16 @@
+libvirt (6.0.0-0ubuntu4+riscv64.1) focal; urgency=medium
+
+ * Disable rados storage backend on riscv64, where Ceph doesn't exist yet.
+
+ -- William Grant <email address hidden> Thu, 12 Mar 2020 15:12:39 +1100
+
+libvirt (6.0.0-0ubuntu4) focal; urgency=medium
+
+ * d/p/ubuntu/lp-1865425-*: avoid killing the monitor job in
+ qemuDomainSetTimeAgent (LP: #1865425)
+
+ -- Christian Ehrhardt <email address hidden> Mon, 02 Mar 2020 10:44:22 +0100
+
 libvirt (6.0.0-0ubuntu3) focal; urgency=medium

   * rebuild against libxen-dev 4.11.3 (no change needed)
diff -Nru libvirt-6.0.0/debian/control libvirt-6.0.0/debian/control
--- libvirt-6.0.0/debian/control 2020-02-12 13:20:08.000000000 +0000
+++ libvirt-6.0.0/debian/control 2020-03-12 04:12:30.000000000 +0000
@@ -50,8 +50,8 @@
  libzfslinux-dev [linux-any],
  po-debconf,
 # for --with-storage-rados
- librbd-dev [linux-any],
- librados-dev [linux-any],
+ librbd-dev [amd64 arm64 armhf i386 ppc64el s390x],
+ librados-dev [amd64 arm64 armhf i386 ppc64el s390x],
 # for --with-storage-gluster
  libglusterfs-dev,
 # for --with-wireshark-dissector
@@ -213,7 +213,7 @@
  This package contains the libvirtd storage driver for GlusterFS.

 Package: libvirt-daemon-driver-storage-rbd
-Architecture: linux-any
+Architecture: amd64 arm64 armhf i386 ppc64el s390x
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
diff -Nru libvirt-6.0.0/debian/patches/series libvirt-6.0.0/debian/patches/series
--- libvirt-6.0.0/debian/patches/series 2020-02-12 13:20:08.000000000 +0000
+++ libvirt-6.0.0/debian/patches/series 2020-03-02 09:42:59.000000000 +0000
@@ -47,3 +47,4 @@
 ubuntu/lp-1861125-qemu_capabilities-Disable-CPU-models-on-old-s390-mac.patch
 ubuntu/lp-1861125-ubuntu-models.patch
 ubuntu-aa/apparmor-allow-to-call-vhost-user-gpu.patch
+ubuntu/lp-1865425-qemu-end-the-agent-job-in-qemuDomainSetTimeAgent.patch
diff -Nru libvirt-6.0.0/debian/patches/ubuntu/lp-1865425-qemu-end-the-agent-job-in-qemuDomainSetTimeAgent.patch libvirt-6.0.0/debian/patches/ubuntu/lp-1865425-qemu-end-the-agent-job-in-qemuDomainSetTimeAgent.patch
--- libvirt-6.0.0/debian/patches/ubuntu/lp-1865425-qemu-end-the-agent-job-in-qemuDomainSetTimeAgent.patch 1970-01-01 00:00:00.000000000 +0000
+++ libvirt-6.0.0/debian/patches/ubuntu/lp-1865425-qemu-end-the-agent-job-in-qemuDomainSetTimeAgent.patch 2020-03-02 09:41:21.000000000 +0000
@@ -0,0 +1,41 @@
+From d61f95cf6a6fbd564e104c168d325581acd9cd8d Mon Sep 17 00:00:00 2001
+From: =?UTF-8?q?J=C3=A1n=20Tomko?= <email address hidden>
+Date: Mon, 20 Jan 2020 07:55:48 +0100
+Subject: [PATCH] qemu: end the agent job in qemuDomainSetTimeAgent
+MIME-Version: 1.0
+Content-Type: text/plain; charset=UTF-8
+Content-Transfer-Encoding: 8bit
+
+This function grabs an agent job but ends a monitor job.
+End the agent job instead.
+
+https://bugzilla.redhat.com/show_bug.cgi?id=1792723
+
+Signed-off-by: Ján Tomko <email address hidden>
+Reported-by: Dan Zheng...

Read more...

as pastebins time out - change #2

diff -Nru libvirt-6.0.0/debian/changelog libvirt-6.0.0/debian/changelog
--- libvirt-6.0.0/debian/changelog 2020-03-12 04:12:39.000000000 +0000
+++ libvirt-6.0.0/debian/changelog 2020-03-12 04:25:04.000000000 +0000
@@ -1,3 +1,9 @@
+libvirt (6.0.0-0ubuntu4+riscv64.2) focal; urgency=medium
+
+ * Disable zfs storage backend on riscv64, where ZFS doesn't exist yet.
+
+ -- William Grant <email address hidden> Thu, 12 Mar 2020 15:25:04 +1100
+
 libvirt (6.0.0-0ubuntu4+riscv64.1) focal; urgency=medium

   * Disable rados storage backend on riscv64, where Ceph doesn't exist yet.
diff -Nru libvirt-6.0.0/debian/control libvirt-6.0.0/debian/control
--- libvirt-6.0.0/debian/control 2020-03-12 04:12:30.000000000 +0000
+++ libvirt-6.0.0/debian/control 2020-03-12 04:24:34.000000000 +0000
@@ -47,7 +47,7 @@
  python3-docutils,
  xsltproc,
  zfsutils [kfreebsd-amd64 kfreebsd-i386],
- libzfslinux-dev [linux-any],
+ libzfslinux-dev [amd64 arm64 armhf i386 ppc64el s390x],
  po-debconf,
 # for --with-storage-rados
  librbd-dev [amd64 arm64 armhf i386 ppc64el s390x],
@@ -230,7 +230,7 @@
  This package contains the libvirtd storage driver for RBD/Rados/Ceph.

 Package: libvirt-daemon-driver-storage-zfs
-Architecture: linux-any
+Architecture: amd64 arm64 armhf i386 ppc64el s390x
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
diff -Nru libvirt-6.0.0/debian/rules libvirt-6.0.0/debian/rules
--- libvirt-6.0.0/debian/rules 2020-03-12 04:12:07.000000000 +0000
+++ libvirt-6.0.0/debian/rules 2020-03-12 04:24:48.000000000 +0000
@@ -29,10 +29,11 @@
   WITH_STORAGE_DISK = --with-storage-disk
   ifneq (,$(findstring $(DEB_HOST_ARCH), amd64 arm64 armhf i386 ppc64el s390x))
     WITH_STORAGE_RBD = --with-storage-rbd
+ WITH_STORAGE_ZFS = --with-storage-zfs
   else
     WITH_STORAGE_RBD = --without-storage-rbd
+ WITH_STORAGE_ZFS = --without-storage-zfs
   endif
- WITH_STORAGE_ZFS = --with-storage-zfs
   WITH_STORAGE_GLUSTER = --with-storage-gluster
   WITH_UDEV = --with-udev
   WITH_CAPNG = --with-capng

Changed in libvirt (Ubuntu):
status: New → In Progress
importance: Undecided → High

FYI: This will have to wait for the related qemu upload (bug 1872931) to build in Focal-proposed.
Until then it will show "Missing build dependencies: qemu-utils"

FYI: This was uploaded to focal-unapproved by Wgrant

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libvirt - 6.0.0-0ubuntu8

---------------
libvirt (6.0.0-0ubuntu8) focal; urgency=medium

  * d/control, d/rules: Disable rbd and zfs on riscv64 where they are
    unavailable (LP: #1872952)

 -- William Grant <email address hidden> Sat, 18 Apr 2020 13:59:21 +1000

Changed in libvirt (Ubuntu):
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.